{% extends 'base.html.twig' %}

{% block title %}Reservas index{% endblock %}

{% block body %}
    <h1>Reservas index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>FechaDesde</th>
                <th>FechaHasta</th>
                <th>Checkout</th>
                <th>CreatedAt</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for reserva in reservas %}
            <tr>
                <td>{{ reserva.id }}</td>
                <td>{{ reserva.fechaDesde ? reserva.fechaDesde|date('Y-m-d') : '' }}</td>
                <td>{{ reserva.fechaHasta ? reserva.fechaHasta|date('Y-m-d') : '' }}</td>
                <td>{{ reserva.checkout ? 'Yes' : 'No' }}</td>
                <td>{{ reserva.createdAt ? reserva.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ reserva.updatedAt ? reserva.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('reservas_show', {'id': reserva.id}) }}">show</a>
                    <a href="{{ path('reservas_edit', {'id': reserva.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('reservas_new') }}">Create new</a>
{% endblock %}
